Download it now!
Bug 92767 - Autofilter on date is locale dependent
Summary: Autofilter on date is locale dependent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:4.4.6 target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-15 16:04 UTC by Eike Rathke
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug details (17.71 KB, image/png)
2015-07-16 16:01 UTC, Bernardo Sulzbach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2015-07-15 16:04:31 UTC
See http://ask.libreoffice.org/en/question/52851/in-calc-when-i-auto-filter-date-june-all-june-plus-6th-of-all-other-months-appear-why/?answer=53206#post-id-53206

Load its attachment http://ask.libreoffice.org/upfiles/1436972506793222.ods

Autofilter on EDate June works in an en-AU locale, but not in an en-US locale (months smaller than June are displayed as well). Dates are formatted with an en-AU locale (English (Australia)).
Comment 1 Bernardo Sulzbach 2015-07-16 16:01:29 UTC
Created attachment 117283 [details]
Bug details

Reproduced under 4.2.8.2 and 5.1.0.0.alpha1+ (home baked).

See that the filter selects all dates that have day 6 or 7 (as if it was mistaken for the month field, these selections are not random) and all dates that have month 6 or 7.
Comment 2 raal 2015-07-17 06:13:49 UTC
confirmed in comment 1, setting as new
Comment 3 GerardF 2015-07-17 13:27:35 UTC
Error happens when Locale use M/D and cell is formatted with D/M. (or vice-versa)
When both cell formatting and cell format use the same Month/Day order, there is no problem.

Filtering on June is correct with French locale. (As both French and Autralian use D/M)
Comment 4 Commit Notification 2015-07-17 16:24:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e17ed1fc2845da5a279d21ffa3ea51d637e515e

Resolves: tdf#92767 use ISO 8601 for internal date string representation

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2015-07-17 16:36:52 UTC
Pending review
https://gerrit.libreoffice.org/17172 for 5-0
https://gerrit.libreoffice.org/17173 for 4-0
Comment 6 Bernardo Sulzbach 2015-07-17 20:59:56 UTC
Not sure if this is useful: I can confirm the bug fix.
Comment 7 Commit Notification 2015-07-20 09:07:28 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9519a22cdffbd2bd69ce3dd0f264b80b357c8409&h=libreoffice-4-4

Resolves: tdf#92767 use ISO 8601 for internal date string representation

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-07-20 09:07:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b0c58818bcbe921075052b2dd11000edfade28b&h=libreoffice-5-0

Resolves: tdf#92767 use ISO 8601 for internal date string representation

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.